Package org.apache.sling.commons.log.logback

# Class OsgiAppenderRefAction

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.joran.action.Action
ch.qos.logback.core.joran.action.BaseModelAction
org.apache.sling.commons.log.logback.OsgiAppenderRefAction

All Implemented Interfaces:
  `ch.qos.logback.core.spi.ContextAware`

@ProviderType public final class OsgiAppenderRefAction extends ch.qos.logback.core.joran.action.BaseModelAction
Joran action enabling integration between OSGi and Logback. It is based on `IncludeAction`. It supports including config fragments provided through OSGi ServiceRegistry The action class needs to be referred in external files hence adding a class in public package.

This class is for configuration reference only. Consumers are not intended to instantiate or extend from it.

## Field Summary

### Fields inherited from class ch.qos.logback.core.joran.action.Action

`ACTION_CLASS_ATTRIBUTE, CLASS_ATTRIBUTE, FILE_ATTRIBUTE, KEY_ATTRIBUTE, NAME_ATTRIBUTE, PATTERN_ATTRIBUTE, SCOPE_ATTRIBUTE, VALUE_ATTRIBUTE`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`OsgiAppenderRefAction()`

## Method Summary

Modifier and Type
Method
Description
`protected ch.qos.logback.core.model.Model`
`buildCurrentModel(@NotNull ch.qos.logback.core.joran.spi.SaxEventInterpretationContext interpretationContext, @NotNull String name, @NotNull Attributes attributes)`
Build the OsgiAppenderRefModel for the given inputs
`protected boolean`
`validPreconditions(@NotNull ch.qos.logback.core.joran.spi.SaxEventInterpretationContext interpretationContext, @NotNull String name, @NotNull Attributes attributes)`
Validate preconditions of this action.

### Methods inherited from class ch.qos.logback.core.joran.action.BaseModelAction

`begin, body, end`

### Methods inherited from class ch.qos.logback.core.joran.action.Action

`atLine, getColumnNumber, getLineColStr, getLineNumber, nearLine, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OsgiAppenderRefAction

public OsgiAppenderRefAction()

## Method Details

### validPreconditions

protected boolean validPreconditions(@NotNull @NotNull ch.qos.logback.core.joran.spi.SaxEventInterpretationContext interpretationContext, @NotNull @NotNull String name, @NotNull @NotNull Attributes attributes)
Validate preconditions of this action.

Overrides:
  `validPreconditions` in class `ch.qos.logback.core.joran.action.BaseModelAction`
Parameters:
  `interpretationContext` - the Sax event interpretation context
  `name` - the element name
  `attributes` - the attributes for the element
Returns:
  true if valid, false otherwise

### buildCurrentModel

protected ch.qos.logback.core.model.Model buildCurrentModel(@NotNull @NotNull ch.qos.logback.core.joran.spi.SaxEventInterpretationContext interpretationContext, @NotNull @NotNull String name, @NotNull @NotNull Attributes attributes)
Build the OsgiAppenderRefModel for the given inputs

Specified by:
  `buildCurrentModel` in class `ch.qos.logback.core.joran.action.BaseModelAction`
Parameters:
  `interpretationContext` - the Sax event interpretation context
  `name` - the element name
  `attributes` - the attributes for the element
Returns:
  the built model